Skip to main content
POST
/
v1
/
administrations
Creates an administration
curl --request POST \
  --url https://api.paytsoftware.com/v1/administrations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "administration": {
    "city": "<string>",
    "commercial_registration_number": "<string>",
    "contact_name": "<string>",
    "country_code": "<string>",
    "email_address": "<string>",
    "house_number": "<string>",
    "name": "<string>",
    "postal_code": "<string>",
    "street_name": "<string>",
    "sender_email_address": "<string>",
    "bank_account_bic": "<string>",
    "bank_account_name": "<string>",
    "bank_account_number": "<string>",
    "currency_code": "EUR",
    "timezone": "Europe/Amsterdam",
    "vat_number": "<string>"
  }
}
'
{
  "id": "<string>",
  "name": "<string>",
  "email_address": "<string>",
  "contact_name": "<string>",
  "commercial_registration_number": "<string>",
  "country_code": "<string>",
  "city": "<string>",
  "house_number": "<string>",
  "internal_name": "<string>",
  "street_name": "<string>",
  "postal_code": "<string>",
  "bank_account_name": "<string>",
  "bank_account_number": "<string>",
  "bank_account_bic": "<string>",
  "vat_number": "<string>",
  "timezone": "<string>",
  "currency_code": "<string>",
  "administration_url": "<string>",
  "paused_at": "2023-11-07T05:31:56Z",
  "reminding_paused_at": "2023-11-07T05:31:56Z",
  "import_origin_identifier": "<string>",
  "last_successful_import_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Body

Creates an administration.

administration
object
required
connection
object

Response

Administration created

CustomerApi_V1_AdministrationEntity model

id
string
required

Unique identifier

name
string
required

Name

status
enum<string>
required

Status

Available options:
active,
inactive,
deleted,
implementation
email_address
string
required

Email address of the administration

contact_name
string
required

The name of the contact person for this administration

commercial_registration_number
string
required

Offical national commercial registration number

country_code
string
required

ISO 3166 Alpha-2 country code, Part of the administration address

city
string
required

Part of the administration address

house_number
string
required

Part of the administration address

internal_name
string
required

Internal name

street_name
string
required

Part of the administration address

postal_code
string
required

Part of the administration address

bank_account_name
string
required

Name of the bank account holder

bank_account_number
string
required

Number of the bank account

bank_account_bic
string
required

BIC of the bank

vat_number
string
required

VAT number of the administration

timezone
string
required

Timezone in which the administration primarily operates, canonical tz name

currency_code
string
required

The accounting or reporting currency, ISO 4217

administration_url
string
required

The url to the administration in the Payt interface

paused_at
string<date-time>
required

Timestamp at which the administration was paused

reminding_paused_at
string<date-time>
required

Timestamp at which sending reminders for the administration was paused

import_origin_identifier
string

The identifier which is used for importing from origin (request with the 'fields' parameter)

last_successful_import_at
string<date-time>

Timestamp of the last successful import (request with the 'fields' parameter)

Last modified on June 12, 2026